List AI playbooks
GET
/v1/ai/agents/{agentID}/playbooksAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredPath parameters
agentIDstringrequiredResponses
200OK
itemsPlaybookView[] | nullrequiredShow propertiesHide properties
Array of
PlaybookViewagent_idstringrequiredcreated_atstringrequiredcurrent_versioninteger<int32>requiredcurrent_version_idstringdescriptionstringidstringrequiredlatest_draftPlaybookVersionShow propertiesHide properties
agent_idstringrequiredcreated_atstringrequiredidstringrequiredinput_schemaobjectrequiredinstructionsstringrequiredplaybook_idstringrequiredpublished_atstringversioninteger<int32>requirednamestringrequiredstatusstringrequiredsuccessRatenumber<double>requiredsummarystringrequiredtriggerstringrequiredupdatedAtstringrequiredupdated_atstringrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X GET "/v1/ai/agents/string/playbooks"const response = await fetch("/v1/ai/agents/string/playbooks", {
method: "GET"
});import requests
response = requests.get(
"/v1/ai/agents/string/playbooks",
)Response
{
"items": [
{
"agent_id": "string",
"created_at": "string",
"current_version": 0,
"current_version_id": "string",
"description": "string",
"id": "string",
"latest_draft": {
"agent_id": "string",
"created_at": "string",
"id": "string",
"input_schema": {},
"instructions": "string",
"playbook_id": "string",
"published_at": "string",
"version": 0
},
"name": "string",
"status": "string",
"successRate": 0,
"summary": "string",
"trigger": "string",
"updatedAt": "string",
"updated_at": "string"
}
]
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}